# PulpcoreClient::ContentguardsContentRedirectApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](ContentguardsContentRedirectApi.md#create) | **POST** /pulp/api/v3/contentguards/core/content_redirect/ | Create a content redirect content guard
[**delete**](ContentguardsContentRedirectApi.md#delete) | **DELETE** {content_redirect_content_guard_href} | Delete a content redirect content guard
[**list**](ContentguardsContentRedirectApi.md#list) | **GET** /pulp/api/v3/contentguards/core/content_redirect/ | List content redirect content guards
[**partial_update**](ContentguardsContentRedirectApi.md#partial_update) | **PATCH** {content_redirect_content_guard_href} | Update a content redirect content guard
[**read**](ContentguardsContentRedirectApi.md#read) | **GET** {content_redirect_content_guard_href} | Inspect a content redirect content guard
[**update**](ContentguardsContentRedirectApi.md#update) | **PUT** {content_redirect_content_guard_href} | Update a content redirect content guard



## create

> ContentRedirectContentGuardResponse create(content_redirect_content_guard)

Create a content redirect content guard

Content guard to protect preauthenticated redirects to the content app.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ContentguardsContentRedirectApi.new
content_redirect_content_guard = PulpcoreClient::ContentRedirectContentGuard.new # ContentRedirectContentGuard | 

begin
  #Create a content redirect content guard
  result = api_instance.create(content_redirect_content_guard)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ContentguardsContentRedirectApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **content_redirect_content_guard** | [**ContentRedirectContentGuard**](ContentRedirectContentGuard.md)|  | 

### Return type

[**ContentRedirectContentGuardResponse**](ContentRedirectContentGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> delete(content_redirect_content_guard_href)

Delete a content redirect content guard

Content guard to protect preauthenticated redirects to the content app.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ContentguardsContentRedirectApi.new
content_redirect_content_guard_href = 'content_redirect_content_guard_href_example' # String | 

begin
  #Delete a content redirect content guard
  api_instance.delete(content_redirect_content_guard_href)
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ContentguardsContentRedirectApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **content_redirect_content_guard_href** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## list

> PaginatedContentRedirectContentGuardResponseList list(opts)

List content redirect content guards

Content guard to protect preauthenticated redirects to the content app.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ContentguardsContentRedirectApi.new
opts = {
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | 
  name__contains: 'name__contains_example', # String | Filter results where name contains value
  name__icontains: 'name__icontains_example', # String | Filter results where name contains value
  name__in: ['name__in_example'], # Array<String> | Filter results where name is in a comma-separated list of values
  name__startswith: 'name__startswith_example', # String | Filter results where name starts with value
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List content redirect content guards
  result = api_instance.list(opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ContentguardsContentRedirectApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**|  | [optional] 
 **name__contains** | **String**| Filter results where name contains value | [optional] 
 **name__icontains** | **String**| Filter results where name contains value | [optional] 
 **name__in** | [**Array&lt;String&gt;**](String.md)| Filter results where name is in a comma-separated list of values | [optional] 
 **name__startswith** | **String**| Filter results where name starts with value | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedContentRedirectContentGuardResponseList**](PaginatedContentRedirectContentGuardResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## partial_update

> ContentRedirectContentGuardResponse partial_update(content_redirect_content_guard_href, patched_content_redirect_content_guard)

Update a content redirect content guard

Content guard to protect preauthenticated redirects to the content app.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ContentguardsContentRedirectApi.new
content_redirect_content_guard_href = 'content_redirect_content_guard_href_example' # String | 
patched_content_redirect_content_guard = PulpcoreClient::PatchedContentRedirectContentGuard.new # PatchedContentRedirectContentGuard | 

begin
  #Update a content redirect content guard
  result = api_instance.partial_update(content_redirect_content_guard_href, patched_content_redirect_content_guard)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ContentguardsContentRedirectApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **content_redirect_content_guard_href** | **String**|  | 
 **patched_content_redirect_content_guard** | [**PatchedContentRedirectContentGuard**](PatchedContentRedirectContentGuard.md)|  | 

### Return type

[**ContentRedirectContentGuardResponse**](ContentRedirectContentGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## read

> ContentRedirectContentGuardResponse read(content_redirect_content_guard_href, opts)

Inspect a content redirect content guard

Content guard to protect preauthenticated redirects to the content app.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ContentguardsContentRedirectApi.new
content_redirect_content_guard_href = 'content_redirect_content_guard_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a content redirect content guard
  result = api_instance.read(content_redirect_content_guard_href, opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ContentguardsContentRedirectApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **content_redirect_content_guard_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**ContentRedirectContentGuardResponse**](ContentRedirectContentGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## update

> ContentRedirectContentGuardResponse update(content_redirect_content_guard_href, content_redirect_content_guard)

Update a content redirect content guard

Content guard to protect preauthenticated redirects to the content app.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ContentguardsContentRedirectApi.new
content_redirect_content_guard_href = 'content_redirect_content_guard_href_example' # String | 
content_redirect_content_guard = PulpcoreClient::ContentRedirectContentGuard.new # ContentRedirectContentGuard | 

begin
  #Update a content redirect content guard
  result = api_instance.update(content_redirect_content_guard_href, content_redirect_content_guard)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ContentguardsContentRedirectApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **content_redirect_content_guard_href** | **String**|  | 
 **content_redirect_content_guard** | [**ContentRedirectContentGuard**](ContentRedirectContentGuard.md)|  | 

### Return type

[**ContentRedirectContentGuardResponse**](ContentRedirectContentGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

